optionOnlyUsage(3)

NAME
optionOnlyUsage - Print usage text for just the options

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

void optionOnlyUsage(tOptions* pOpts, int ex_code);

DESCRIPTION
This routine will print only the usage for each option. This function may be used when the emitted usage must incorporate information not available to AutoOpts.

pOpts
    program options descriptor

ex_code
    exit code for calling exit(3)

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionFree(3), optionGetValue(3), optionLoadLine(3), optionMemberList(3), optionNextValue(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),